using System;
using System.Xml.Serialization;
using System.Collections.Generic;
using Top.Api.Util;

namespace Top.Api.Request
{
    /// <summary>
    /// TOP API: taobao.tbk.optimus.tou.material.ids.get
    /// </summary>
    public class TbkOptimusTouMaterialIdsGetRequest : BaseTopRequest<Top.Api.Response.TbkOptimusTouMaterialIdsGetResponse>
    {
        /// <summary>
        /// 请求结构
        /// </summary>
        public string MaterialQuery { get; set; }

        public MaterialQueryDomain MaterialQuery_ { set { this.MaterialQuery = TopUtils.ObjectToJson(value); } } 

        #region ITopRequest Members

        public override string GetApiName()
        {
            return "taobao.tbk.optimus.tou.material.ids.get";
        }

        public override IDictionary<string, string> GetParameters()
        {
            TopDictionary parameters = new TopDictionary();
            parameters.Add("material_query", this.MaterialQuery);
            if (this.otherParams != null)
            {
                parameters.AddAll(this.otherParams);
            }
            return parameters;
        }

        public override void Validate()
        {
        }

	/// <summary>
/// MaterialQueryDomain Data Structure.
/// </summary>
[Serializable]

public class MaterialQueryDomain : TopObject
{
	        /// <summary>
	        /// 物料类型，1: 商品；2:权益
	        /// </summary>
	        [XmlElement("material_type")]
	        public Nullable<long> MaterialType { get; set; }
	
	        /// <summary>
	        /// 页码，默认1，取值范围1~100
	        /// </summary>
	        [XmlElement("page_no")]
	        public Nullable<long> PageNo { get; set; }
	
	        /// <summary>
	        /// 每页物料id数量，默认20，取值范围1~100
	        /// </summary>
	        [XmlElement("page_size")]
	        public Nullable<long> PageSize { get; set; }
	
	        /// <summary>
	        /// 物料主题类型, 1促销活动;2热门主题;3精选榜单;4行业频道等;5其他
	        /// </summary>
	        [XmlElement("subject")]
	        public Nullable<long> Subject { get; set; }
}

        #endregion
    }
}
